<mat-card [ngClass]="{'transaction-card':true, 'selected':(transaction.transactionId === selectedId)}">
  <mat-card-content>
    <div class="transaction-information">
      <p>
        <strong>{{ transaction.transactionId }}</strong><br>
        {{ transaction.transactionPIC + ", " + transaction.itemId }}<br>
        {{ transaction.itemSoldPrice | currency:'IDR ':'symbol-narrow':'1.0-0' }}
      </p>
    </div>
    <div class="transaction-date">
      <p>{{ transaction.transactionDate | date : 'dd MMM y' }}</p>
    </div>
    <div class="selector">
      <i *ngIf="transaction.item.itemEntrustedStatus" class="material-icons" matTooltip="Barang milik {{ transaction.item.itemEntrustedStatus }}">mood</i>
      <i class="material-icons">chevron_right</i>
    </div>
  </mat-card-content>
</mat-card>
